Class Fox::FXToolbarGrip

In: | FXToolbarGrip.rb
Parent: | FXWindow

A toolbar grip is used to move its parent (an FXToolbar). The grip draws either a single or double bar; it is customary to use the single bar grip for toolbar-rearrangements only, and use the double-bar when the toolbar needs to be floated or docked. The toolbar grip is automatically oriented properly by the the toolbar widget.

### Toolbar Grip styles

`TOOLBARGRIP_SINGLE`: | Single bar mode for movable toolbars
`TOOLBARGRIP_DOUBLE`: | Double bar mode for dockable toolbars
`TOOLBARGRIP_SEPARATOR`: | Separator mode

Methods

doubleBar? new

Attributes

activeColor | [RW] | Active color [FXColor]
doubleBar | [W] | Indicates whether the grip is displayed as a double-bar [Boolean]
hiliteColor | [RW] | Highlight color [FXColor]
shadowColor | [RW] | Shadow color [FXColor]

Public Class methods

new(parent, target=nil, selector=0, opts=TOOLBARGRIP_SINGLE, x=0, y=0, width=0, height=0) {|theToolbarGrip| ...}

Construct toolbar grip

Public Instance methods

doubleBar?()

Return `true` if toolbar grip is displayed as a double bar (i.e. as opposed to a single bar).